1. Introduction

Welcome to Nalyst, your trusted companion in the world of Machine Learning and Data Science. Tailored for data analysts, professionals, and researchers, Nalyst emerges as a robust and user-friendly library, streamlining your journey through the intricacies of data analysis. Empower yourself with a comprehensive toolkit featuring Linear Regression, Logistic Regression, K-means Clustering, PCA, Decision Trees, Train Test Split, and advanced scaling techniques like Min Max Scaling, MaxAbs Scaling, and Standard Scaling. With Nalyst, elevate your efficiency in training, analyzing, and evaluating models.

1. Features

Linear Regression: A versatile set of tools for constructing and dissecting linear regression models.

Logistic Regression: Dive into a range of tools for crafting and scrutinizing logistic regression models.

K-means: Effortlessly cluster data into k clusters, unraveling patterns and insights.

PCA: Dimensionality reduction tool preserving essential features, enhancing model performance.

Decision Tree: Construct and analyze decision trees, gaining clarity in complex decision-making.

Train Test Split: Flexibly split data into training and testing sets for robust model evaluation.

Scaling Tools: Choose from Min Max Scaling, MaxAbs Scaling, and Standard Scaling for flexible data normalization.

Quick Model Training: Swiftly and easily train machine learning models, saving valuable time and effort.

1. Installation Package

To install the library, simply run the following command in your terminal:

```text
pip install nalyst
pip install --upgrade nalyst
pip show nalyst
```

4. Import Dependencies

```
import numpy as np
import matplotlib.pyplot as plt
import yfinance as yf
import pyttsx3
import yfinance as yf
import datetime
```

5. Importing Packages

```text
from .LinearRegression import LinearRegression
from .MultipleLinearRegression import MultipleLinearRegression
from .LeastSquaresRegression import LeastSquaresRegression
from .PolynomialRegression import PolynomialRegression
from .DecisionTree import DecisionTree
from .LogisticRegression import LogisticRegression
from .KMeans import KMeans
from .PCA import PCA
from .MaxAbsScaler import MaxAbsScaler
from .MinMaxScaler import MinMaxScaler
from .StandardScaler import StandardScaler
from .train_test_split import train_test_split
from .BetaFive import calculate_beta_five
from .BetaMax import calculate_beta_max
from .SMA import SimpleMovingAverage
from .EMA import ExponentialMovingAverage
```

6. Support

For assistance or inquiries, reach out to us. Note that the integrated audio architecture doesn't support Google Colab or cloud systems.

7. COMMUNICATION

Explore and engage with us on GitHub: https://github.com/AnalyticalHarry

Embark on your data science journey with Nalyst, where simplicity meets power.
